Page MenuHomePhabricator

rework / reduce installed packages in Qubes-Whonix
Closed, ResolvedPublic

Description

Introduction:

There are probably a few packages, that are useful or even required for a Non-Qubes-Whonix desktop, but that are unneeded in Qubes-Whonix. For example:

  • plasma-widget-folderview (user doesn't get to see the desktop, unless in rare cases such as using VNC)
  • kde-kdm-autologin (Qubes already handles this)
  • ...

latest anon-meta-packages debian/control file:
https://github.com/Whonix/anon-meta-packages/blob/master/debian/control

snapshot at time of writing of anon-meta-packages debian/control file:
https://github.com/Whonix/anon-meta-packages/blob/3f864c653c8fa751386ddd2aa39a7d265b1a89c1/debian/control

reasoning why package X is installed:

Technical background on Recommends: vs Depends::
https://www.whonix.org/wiki/Whonix_Debian_Packages

TODO:

  • 1) make a list of packages that are unneeded in Qubes-Whonix
  • 2) refactor the anon-meta-packages package to apply these changes

Details

Impact
Normal

Event Timeline

Patrick created this task.Nov 12 2015, 7:16 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, marmarek, nrgaway, mfc.
split anon-shared-desktop-kde package

into anon-shared-desktop-kde and anon-shared-applications-kde

https://github.com/Whonix/anon-meta-packages/commit/fb707a683bec3f23ae393624130db09e654d68ac

 split whonix-(gateway|workstation) packages

into:
- qubes-whonix-(gateway|workstation)
- non-qubes-whonix-(gateway|workstation)

The Qubes-Whonix version does not depend on the anon-shared-desktop package,
while the Non-Qubes-Whonix package does. This is to spare Qubes-Whonix users
from installing packages that are only required to set up a desktop environment
for Non-Qubes-Whonix users. (Qubes dom0 hosts these packages such as kdm etc.)

https://github.com/Whonix/anon-meta-packages/commit/fc23e40a181c182391be03a4cd1f9774592b379e

install (non-)qubes-whonix-(gateway|workstation) packages accordingly
https://github.com/Whonix/Whonix/commit/889aa29b530ed2afd86c981b92f0f06414fe59e0

Removed polkit-kde-1 as dependency from anon-shared-desktop-kde and added it to anon-shared-applications-kde.

polkit-kde-1 is important as long as Whonix is kde-ish, uses kdesudo, otherwise
leads to issues with kdesudo authentication.

This is required for a clean separation so the anon-shared-desktop-kde package
is no longer required to be installed by default on Qubes.

https://phabricator.whonix.org/T429

https://github.com/Whonix/anon-meta-packages/commit/c10485620cf8859bc6394b942fe17ff04f844274

removed anon-shared-desktop-kde from whonix-[gateway|workstation]-shared-packages-shared-meta

so it no longer gets installed by default in Qubes-Whonix.
And readded it to non-qubes-whonix-[gateway|workstation].

This results in no longer installing kde-workspace, kdm,
plasma-widget-folderview, kde-baseapps-bin in Qubes by default.

https://phabricator.whonix.org/T429

https://github.com/Whonix/anon-meta-packages/commit/2f67cb5530030715825ffe07af115a6b828dd4ca

If someone else wants to think this through also...

apt-cache show kde-baseapps-bin

Probably alright.

apt-cache show kde-workspace

Mostly note able, we won't be having installed by default anymore...

  • phonon
  • klipper (clipboard manager)
  • ksysguard (process monitor)
  • KDE systemsettings

If any of these should be re-added...

Patrick changed the task status from Open to Review.Mar 21 2016, 1:09 PM
Mostly note able, we won't be having installed by default anymore...
- phonon
- klipper (clipboard manager)
- ksysguard (process monitor)
- KDE systemsettings

Looks ok on Qubes, even without moving away from KDE (maybe
systemsettings would be useful on KDE-based Qubes).

ksysguard gets still [already] installed by anon-shared-applications-kde.

added systemsettings to anon-shared-applications-kde:
https://github.com/Whonix/anon-meta-packages/commit/9bf7e5764d80bc449de285552acb2c33b839aa15

We can also revisit what applications to be installed by default once Whonix default applications are migrated to being gnome-ish. (T467 / gnome )

Patrick closed this task as Resolved.Apr 21 2016, 9:09 PM
Patrick claimed this task.